struts-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stefaan Dutry (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (WW-4851) Upgrade to Log4j2 2.9.0
Date Wed, 27 Sep 2017 20:03:00 GMT

    [ https://issues.apache.org/jira/browse/WW-4851?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16183174#comment-16183174
] 

Stefaan Dutry commented on WW-4851:
-----------------------------------

[~lukaszlenart]

After further investigations this is what i found so far:
* jar: {{log4j-api-2.9.0.jar}}
* file in jar causing exception: {{META-INF/versions/9/org/apache/logging/log4j/util/StackLocator.class}}
* caused by:
** jetty jarscanner
** uses asm libraries.

People's opinions i found so far:
* {{.class}} files under META-INF should not be scanned => bug in jarscanner

My knowledge about this is still limited, but from what i find, it's {{log4j-api}} that gets
reported by the warning, but it's in fact the jar-scanning that's incorrect and not the jar.

So i don't think we can remove the warning and there is in fact nothing wrong.
It's just because it's a multi-release JAR supporting both java 9 and pre-java 9

> Upgrade to Log4j2 2.9.0
> -----------------------
>
>                 Key: WW-4851
>                 URL: https://issues.apache.org/jira/browse/WW-4851
>             Project: Struts 2
>          Issue Type: Dependency
>            Reporter: Stefaan Dutry
>            Priority: Trivial
>             Fix For: 2.5.14
>
>
> version {{2.9.0}} was released on {{2017-08-26}}
> [changelog|https://logging.apache.org/log4j/2.0/changes-report.html#a2.9.0]



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message